Jump to content

Archived

This topic is now archived and is closed to further replies.

DriWashSolutions

Function session_is_registered() is deprecated in...

Recommended Posts

My host upgraded PHP today, and I began to get this error, which basically rendered the store useless. Customers could not login, and hence no orders were being generated.

 

Other topics on this subject simply stated to UPGRADE TO THE LATEST VERSION OF OSC. That was unhelpful.

 

I searched for solutions, and tried to modify the existing code, all of which didn't help.

 

In a last ditch effort, I decided to try to substitute the sessions.php from the newer version (which I have partially installed, but my v2.1 store is heavily modified). By replacing the sessions.php file in the \includes\class folder, in both the admin and catalog folders, with the version from 2.3 I was able to get the store back up and running.

 

Hope this helps.


John Skurka

Share this post


Link to post
Share on other sites

@@DriWashSolutions

 

You may want to look at this contribution http://addons.oscommerce.com/info/7394

 

Depending on which version your host upgraded to.

 

 

Chris


:|: Was this post helpful ? Click the LIKE THIS button :|:

 

See my Profile to learn more about add ons, templates, support plans and custom coding (click here)

Share this post


Link to post
Share on other sites

and when they go to php5, you'll have to do more work, and more work when the upgrade mysql. And so on ad infinitum.

 

Best advice is to keep on top of upgrades and don't be complacent just because your shop is "working".


Help shape the future of Phoenix; join the Phoenix Club

Share this post


Link to post
Share on other sites

×